# Create and attach a tag to a project

Attaching a tag to a project is technically a “find-or-create” operation. If you post a tag with information that doesn't exist for your organization, it'll be created and attached to the project specified. If the tag already exists, it'll just be attached.

> Note: If you try to create the same tag multiple times, it'll just be attached once.

Endpoint: POST /projects/{project_id}/tags
Version: v1
Security: AuthToken

## Path parameters:

  - `project_id` (integer, required)
    The ID of the project.

## Request fields (application/x-www-form-urlencoded):

  - `value` (string)
    The value of the tag to be created or attached.
    Example: "Awesome"

## Response 200 fields (application/json):

  - `id` (integer)
    Unique identifier for the resource instance.
    Example: 1234567

  - `value` (string, required)
    Tag name.
    Example: "New"

## Response 400 fields (application/json):

  - `message` (string)
    Example: "bad data"

  - `errors` (array)
    Example: ["Value can't be blank","Value is too short (minimum is 1 character)"]

## Response 404 fields (application/json):

  - `message` (string)
    Example: "not found"


